FUNCTION_BLOCK functionBlock1
  VAR_INPUT
    f_1 : DINT;
    f_2 : DINT;
  END_VAR
  VAR_OUTPUT
    f_3 : DINT;
  END_VAR
  VAR
    ADD1_OUT : DINT;
  END_VAR

  ADD1_OUT := ADD(f_1, f_2);
  f_3 := ADD1_OUT;
END_FUNCTION_BLOCK

FUNCTION_BLOCK functionBlock0
  VAR_INPUT
    f_1 : DINT;
    f_2 : DINT;
  END_VAR
  VAR_OUTPUT
    f_3 : DINT;
  END_VAR

  INITIAL_STEP tb:
    TB_INLINE1(N);
  END_STEP

  ACTION TB_INLINE1:
    f_3:=f_1+f_2;
  END_ACTION

END_FUNCTION_BLOCK

PROGRAM program0
  VAR
    v_1 : DINT := 1;
    v_2 : DINT := 1;
    v_3 : DINT;
    fb : functionBlock1;
    v_4 : DINT;
    v_5 : DINT;
    v_6 : DINT;
    fb0 : functionBlock0;
  END_VAR

  v_1:= v_1+1;
  v_2:= v_2+1;
  fb(
       f_1 := V_1(*DINT*),
       f_2 := V_2(*DINT*),
       f_3 => V_3(*DINT*));
  v_4:= v_4+1
  v_5:= v_5+1;
  fb0(
       f_1 := V_4(*DINT*),
       f_2 := V_5(*DINT*),
       f_3 => V_6(*DINT*));
END_PROGRAM

FUNCTION_BLOCK functionBlock2
  VAR_INPUT
    ff1 : DINT := 0;
    ff2 : DINT := 1;
  END_VAR
  VAR_OUTPUT
    ff3 : DINT := 1;
  END_VAR
  VAR
    ADD1_OUT : DINT;
  END_VAR

  ADD1_OUT := ADD(ff1, ff2);
  ff3 := ADD1_OUT;
END_FUNCTION_BLOCK


CONFIGURATION config

  RESOURCE resource1 ON PLC
    TASK task0(INTERVAL := T#20ms,PRIORITY := 0);
    PROGRAM instance0 WITH task0 : program0;
  END_RESOURCE
END_CONFIGURATION
