FUNCTION_BLOCK FB_R0280
    VAR_INPUT    i : REAL;    END_VAR
    VAR_IN_OUT    io : REAL;    END_VAR
    VAR_OUTPUT    o : REAL;    END_VAR
    VAR            h : INT;    END_VAR

    h := 2;
    ENO    := FALSE;        (* ENO is FALSE => Outputs should not be copied *)
    o := i;
    io := i;
END_FUNCTION_BLOCK

PROGRAM test_R0280
    VAR    
        i1, o1, io1 : REAL;
        i2, o2, io2 : REAL;
        fb1, fb2 : FB_R0280;    
    END_VAR

    i1 := 42.0;
    fb1( i := i1, io := io1 , o => o1 );

    i2 := 42.0;
    fb2( i2, io2 , o2 );
{
printf("i1 = %f\n", data__->i1.value);
printf("i2 = %f\n", data__->i2.value);
printf("io1 = %f\n", data__->io1.value);
printf("io2 = %f\n", data__->io2.value);
printf("o1 = %f\n", data__->o1.value);
printf("o2 = %f\n", data__->o1.value);
} 
END_PROGRAM

CONFIGURATION foo_c
   TASK fast(INTERVAL := t#100ms,PRIORITY := 4);
   PROGRAM foo_pi WITH fast: test_R0280;
END_CONFIGURATION


(*
Outputs:

	i1 = 42.0000
	i2 = 42.0000
	io1 = 0.0000
	io2 = 0.0000
	o1 = 0.0000
	o2 = 0.0000

*)
